# Uses of Interface
java.util.ServiceLoader.Provider

Packages that use ServiceLoader.Provider
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of ServiceLoader.Provider in java.util

Methods in java.util that return types with arguments of type ServiceLoader.Provider
Modifier and Type
Method
Description
`Stream<ServiceLoader.Provider<S>>`
ServiceLoader.`stream()`
Returns a stream to lazily load available providers of this loader's service.